package org.nl.acs.device_driver.basedriver.siemens_conveyor_labeling;

import org.nl.acs.device.device_driver.standard_inspect.ItemDto;
import org.nl.acs.device.domain.Device;
import org.nl.acs.device_driver.DeviceDriver;
import org.nl.acs.device_driver.defination.OpcDeviceDriverDefination;
import org.nl.acs.device.enums.DeviceType;
import org.springframework.stereotype.Service;

import java.util.LinkedList;
import java.util.List;

/**
 * 西门子-输送机驱动-贴标
 *
 */
@Service
public class SiemensConveyorLabelingDefination implements OpcDeviceDriverDefination {
    @Override
    public String getDriverCode() {
        return "siemens_conveyor_labeling";
    }

    @Override
    public String getDriverName() {
        return "西门子-输送机驱动-贴标";
    }

    @Override
    public String getDriverDescription() {
        return "西门子-输送机驱动-贴标";
    }

    @Override
    public DeviceDriver getDriverInstance(Device device) {
        return (new SiemensConveyorLabelingDeviceDriver()).setDevice(device).setDriverDefination(this);

    }

    @Override
    public Class<? extends DeviceDriver> getDeviceDriverType() {
        return SiemensConveyorLabelingDeviceDriver.class;
    }

    @Override
    public List<DeviceType> getFitDeviceTypes() {
        List<DeviceType> types = new LinkedList();
        types.add(DeviceType.station);
        return types;
    }

    @Override
    public List<ItemDto> getReadableItemDtos() {
        return ItemProtocol.getReadableItemDtos();
    }



    @Override
    public List<ItemDto> getWriteableItemDtos() {
        return ItemProtocol.getWriteableItemDtos();
    }

}
